klein(6)

NAME
klein - A Klein Bottle (and other parametric surfaces) visualization.

SYNOPSIS
klein [-display host:display.screen] [-visual visual] [-window] [-root] [-speed number] [-rand] [-spin] [-wander] [-fps]

DESCRIPTION
This draws a three dimensional visualization of a Klein Bottle parametric surface (the three dimensional equivalent of the Moebious strip).

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-speed number
    Number of frames before changing shape. Default: 150.

-rand
    Randomize the parametric surfaces displayed. Use random OpenGL primitives too. -wander | -no-wander Whether to wander around the screen. -spin | -spin Whether to rotate around the centre of the figure.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

AUTHOR
Andrey Mirtchovski.